platform_device_register_simple
Prev | Device Drivers Base | Next

## Name

platform_device_register_simple —

## Synopsis

`struct platform_device * platform_device_register_simple (` | char * | name,
| int | id,
| struct resource * | res,
| unsigned int | num`)`;

## Arguments

`name`

  base name of the device we're adding

`id`

  instance id

`res`

  set of resources that needs to be allocated for the device

`num`

  number of resources

## Description

This function creates a simple platform device that requires minimal resource and memory management. Canned release function freeing memory allocated for the device allows drivers using such devices to be unloaded without waiting for the last reference to the device to be dropped.

This interface is primarily intended for use with legacy drivers which probe hardware directly. Because such drivers create sysfs device nodes themselves, rather than letting system infrastructure handle such device enumeration tasks, they don't fully conform to the Linux driver model. In particular, when such drivers are built as modules, they can't be “hotplugged”.

Prev | Up | Next
platform_device_unregister | Home | platform_driver_register